package ru.landgrafhomyak.db.serdha0.api.table

import ru.landgrafhomyak.db.serdha0.api.misc._Selectable
import ru.landgrafhomyak.db.serdha0.api.module.Module

public interface Table<UserExtension : Any, PreviousUserExtension : Any> : _Selectable<UserExtension> {
	public override val uExt: UserExtension
	public val name: String
	public val module: Module<*>

	public enum class TemporaryType {
		TRANSACTION_SCOPE,
		CONNECTION_SCOPE
	}

	public val temporaryType: TemporaryType?

	public val namespacesFromModuleRoot: List<String>

	public val isMutable: Boolean
}